summaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
Diffstat (limited to 'test')
-rwxr-xr-xtest12
1 files changed, 12 insertions, 0 deletions
diff --git a/test b/test
new file mode 100755
index 0000000..972ba8c
--- /dev/null
+++ b/test
@@ -0,0 +1,12 @@
+#!/usr/bin/sh
+
+# Check boundary conditions with small files. Output should match input.
+for f in empty a ab abc abcd; do
+ ./markov <tests/$f > out
+ if !(diff tests/$f out > /dev/null); then
+ echo tests/$f: output of markov does not match input:
+ diff tests/$f out
+ exit 1
+ fi
+done
+rm out \ No newline at end of file